Update Vendor Redemption

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

Example request

curl --location --request PUT 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/vendor/redemption/34443/brand/61' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bWFkaHVU2YQ==' \
--header 'Cookie: _cfuvid=n5.Z39H9xIs0DR219d1iOxrl73PaXk1ymkn3rClOfZ4-1764151707509-0.0.1.1-604800000' \
--data '{
    "name": "UAT Vendor Redemption 6 update 1",
    "redemptionType": "MILES",
    "actions": [
        {
            "apiUrl": "https://eucrm.cc.capillarytech.com/v1.1/coupon/issue",
            "apiBodyField": "{\"root\": {\"coupon\": [{\"customer\": {\"mobile\": \"${mobile}\"}, \"series_id\": 716308}]}}",
            "apiBody": "{\"root\": {\"coupon\": [{\"customer\": {\"mobile\": \"${mobile}\"}, \"series_id\": 716308}]}}",
            "name": "test12345",
            "execOrder": 1,
            "apiType": "POST",
            "retryAction": false,
            "actionId": 20811,
            "enabled": true,
            "apiHeaders": {
                "Authorization": "Basic Ymxpc3M6MWY5OTRhMjQ1M2M0MWM3YzVjZTJmNGRjNzU5MWI1NzY=",
                "Content-Type": "application/json"
            },
            "contextKeys": {
                "voucher": "response.coupon.code"
            }
        }
    ],
    "responseKeys": [
        "voucher"
    ],
    "vendorId": "430",
    "enabled": true
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/rewards/core/v1/vendor/redemption/{redemptionId}/brand/{brandId}
HTTP MethodPUT
PaginationNo
Batch supportNo
Rate limit informationNone

Path Parameters

Note: Parameters marked with (*) are mandatory.

ParameterData TypeDescription
id*IntegerThe unique identifier of the redemption.
brandId*IntegerThe unique identifier of the brand. You can get the brand ID from this API.

Request Body Parameters

Note: Parameters marked with (*) are mandatory.

ParameterData TypeDescription
nameStringThe name defined by the brand for the vendor reward.
redemptionType*Enum

Specifies the method by which the customer can redeem rewards.
Supported values: GAMES, AUCTION, CART_PROMOTION, CASH_WALLET, VENDOR_ONLY_REWARD, VOUCHER, CASH_BACK, INTOUCH_REWARD, PHYSICAL_REWARD, CHARITY, MILES, GIFT_CARD, SWEEPSTAKES, VENDOR_INTOUCH_REWARD, CARD_DISC

VENDOR_ONLY_REWARD: These are either points or coupons created at the vendor end. VENDOR_INTOUCH_REWARD: These are vendor rewards created at the Capillary end. It's not recommended to use VENDOR_INTOUCH_REWARDinstead, use VENDOR_ONLY_REWARD` to issue coupons directly through the vendor API.

actions*ObjectSpecifies the Name, Endpoint URL, API Type, API Headers, and the API Body of the internal API that executes a specific action.
- apiUrl*StringThe URL to which the API request is made. For example, "apiUrl": "https://partial.com/reward/issue" specifies the endpoint where the request to issue a reward will be made.
- apiBodyField
- apiBodyStringThe API body for the external API endpoint specified in apiUrl. You can also include custom fields, fulfillment status, and reward transaction ID. The fulfillment status and reward transaction ID are variables resolved in the backend according to the associated transaction.<br><br>- Custom Field: Enables brands to add additional data in the API request. Use the format customfield_customFieldName. For example, a custom field named "Address: Bangalore" should be written as customfield_Address then it will replace the value of custom field with Bangalore. Note: Only custom fields created with ISSUE_REWARD scope are supported.
Fulfillment Status: Enables updating the fulfillment status. Use the parameter fulfillmentStatus, formatted in camelCase.
Reward Transaction ID: Enables adding the reward transaction ID. This helps the vendor to identify the transaction associated with the issued reward. Use the parameter rewardTransactionId, formatted in camelCase.
NOTE: The API body supports other parameters that can be included based on the brand's specific requirements or integration needs.<br>- Internal Capillary APIs can also be used.
- name*StringThe name of the action to be executed.
- execOrder*IntegerThe execution order of the action.
- apiType*StringThe HTTP method to be used for the API request.
- retryActionBooleanIndicates whether the action should be retried on failure (true/false).
- actionIdIntegerA unique identifier for the action.
- enabledBooleanSpecifies if the action is active (true/false).
- apiHeaders*ObjectAn object containing the headers to be sent with the API request.
-- AuthorizationStringThe authorization header containing the authentication credentials.
-- Content-TypeStringThe content type header indicating the format of the request body.
- contextKeys*ObjectAn object containing context keys for extracting values from the response.
-- voucherStringThe context key for extracting the voucher ID from the response.
responseKeysArrayA list of response keys expected from the vendor API.
vendorId*StringThe unique ID of the vendor.
enabledBooleanIndicates whether this vendor redemption configuration is active (true/false).

Example response

{
    "status": {
        "success": true,
        "code": 5016,
        "message": "Vendor redemption updated successfully"
    },
    "redemption": {
        "id": 34443,
        "name": "UAT Vendor Redemption 6 update 1",
        "redemptionType": "MILES",
        "enabled": true,
        "lastUpdatedOn": 1764157003000,
        "lastUpdatedOnDateTime": "2025-11-26T11:36:43Z",
        "actionCount": 77,
        "createdBy": 75155297,
        "lastUpdatedBy": 75197372,
        "createdOn": 1759749421000,
        "createdOnDateTime": "2025-10-06T11:17:01Z"
    }
}

Response Parameters

ParameterData TypeDescription
successBooleanIndicates whether the API call was successful.
codeIntegerThe code associated with the response.
messageStringA message providing details about the response.
idIntegerThe unique identifier for the redemption object.
nameStringThe name associated with the redemption object.
redemptionTypeEnumThe type of redemption.
enabledBooleanIndicates whether the redemption is currently enabled.
lastUpdatedOnDateThe timestamp when the vendor redemption was updated, in Epoch time format.
lastUpdatedByLongThe till ID of the user who last updated the vendor redemption record.
createdByStringThe till ID of the user who created the vendor redemption.
createdOnStringThe timestamp when the vendor redemption was created, in Epoch time format.

Path Params
int32
required
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json